io.etcd.jetcd.api

## Class LeaseTimeToLiveResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>
      - - io.etcd.jetcd.api.LeaseTimeToLiveResponse.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, LeaseTimeToLiveResponseOrBuilder, Cloneable

Enclosing class:
  LeaseTimeToLiveResponse

    public static final class LeaseTimeToLiveResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>
    implements LeaseTimeToLiveResponseOrBuilder

Protobuf type `etcdserverpb.LeaseTimeToLiveResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`LeaseTimeToLiveResponse.Builder` `addAllKeys(Iterable<? extends com.google.protobuf.ByteString> values)` Keys is the list of keys attached to this lease.
`LeaseTimeToLiveResponse.Builder` `addKeys(com.google.protobuf.ByteString value)` Keys is the list of keys attached to this lease.
`LeaseTimeToLiveResponse.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`LeaseTimeToLiveResponse` `build()`
`LeaseTimeToLiveResponse` `buildPartial()`
`LeaseTimeToLiveResponse.Builder` `clear()`
`LeaseTimeToLiveResponse.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`LeaseTimeToLiveResponse.Builder` `clearGrantedTTL()` GrantedTTL is the initial granted time in seconds upon lease creation/renewal.
`LeaseTimeToLiveResponse.Builder` `clearHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`LeaseTimeToLiveResponse.Builder` `clearID()` ID is the lease ID from the keep alive request.
`LeaseTimeToLiveResponse.Builder` `clearKeys()` Keys is the list of keys attached to this lease.
`LeaseTimeToLiveResponse.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`LeaseTimeToLiveResponse.Builder` `clearTTL()` TTL is the remaining TTL in seconds for the lease; the lease will expire in under TTL+1 seconds.
`LeaseTimeToLiveResponse.Builder` `clone()`
`LeaseTimeToLiveResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`long` `getGrantedTTL()` GrantedTTL is the initial granted time in seconds upon lease creation/renewal.
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeader.Builder` `getHeaderBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`long` `getID()` ID is the lease ID from the keep alive request.
`com.google.protobuf.ByteString` `getKeys(int index)` Keys is the list of keys attached to this lease.
`int` `getKeysCount()` Keys is the list of keys attached to this lease.
`List<com.google.protobuf.ByteString>` `getKeysList()` Keys is the list of keys attached to this lease.
`long` `getTTL()` TTL is the remaining TTL in seconds for the lease; the lease will expire in under TTL+1 seconds.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`LeaseTimeToLiveResponse.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`LeaseTimeToLiveResponse.Builder` `mergeFrom(LeaseTimeToLiveResponse other)`
`LeaseTimeToLiveResponse.Builder` `mergeFrom(com.google.protobuf.Message other)`
`LeaseTimeToLiveResponse.Builder` `mergeHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`LeaseTimeToLiveResponse.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`LeaseTimeToLiveResponse.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`LeaseTimeToLiveResponse.Builder` `setGrantedTTL(long value)` GrantedTTL is the initial granted time in seconds upon lease creation/renewal.
`LeaseTimeToLiveResponse.Builder` `setHeader(ResponseHeader.Builder builderForValue)` `.etcdserverpb.ResponseHeader header = 1;`
`LeaseTimeToLiveResponse.Builder` `setHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`LeaseTimeToLiveResponse.Builder` `setID(long value)` ID is the lease ID from the keep alive request.
`LeaseTimeToLiveResponse.Builder` `setKeys(int index, com.google.protobuf.ByteString value)` Keys is the list of keys attached to this lease.
`LeaseTimeToLiveResponse.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`LeaseTimeToLiveResponse.Builder` `setTTL(long value)` TTL is the remaining TTL in seconds for the lease; the lease will expire in under TTL+1 seconds.
`LeaseTimeToLiveResponse.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`

#### clear

    public LeaseTimeToLiveResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`

#### getDefaultInstanceForType

    public LeaseTimeToLiveResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public LeaseTimeToLiveResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public LeaseTimeToLiveResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public LeaseTimeToLiveResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`

#### setField

    public LeaseTimeToLiveResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                    Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`

#### clearField

    public LeaseTimeToLiveResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`

#### clearOneof

    public LeaseTimeToLiveResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`

#### setRepeatedField

    public LeaseTimeToLiveResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            int index,
                                                            Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`

#### addRepeatedField

    public LeaseTimeToLiveResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`

#### mergeFrom

    public LeaseTimeToLiveResponse.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<LeaseTimeToLiveResponse.Builder>`

#### mergeFrom

    public LeaseTimeToLiveResponse.Builder mergeFrom(LeaseTimeToLiveResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`

#### mergeFrom

    public LeaseTimeToLiveResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                              throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<LeaseTimeToLiveResponse.Builder>`
Throws:
  `IOException`

#### hasHeader

    public boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `hasHeader` in interface `LeaseTimeToLiveResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeader` in interface `LeaseTimeToLiveResponseOrBuilder`
Returns:
  The header.

#### setHeader

    public LeaseTimeToLiveResponse.Builder setHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### setHeader

    public LeaseTimeToLiveResponse.Builder setHeader(ResponseHeader.Builder builderForValue)

`.etcdserverpb.ResponseHeader header = 1;`

#### mergeHeader

    public LeaseTimeToLiveResponse.Builder mergeHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### clearHeader

    public LeaseTimeToLiveResponse.Builder clearHeader()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderBuilder

    public ResponseHeader.Builder getHeaderBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderOrBuilder

    public ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `LeaseTimeToLiveResponseOrBuilder`

#### getID

    public long getID()

     ID is the lease ID from the keep alive request.

`int64 ID = 2;`

Specified by:
  `getID` in interface `LeaseTimeToLiveResponseOrBuilder`
Returns:
  The iD.

#### setID

    public LeaseTimeToLiveResponse.Builder setID(long value)

     ID is the lease ID from the keep alive request.

`int64 ID = 2;`

Parameters:
  `value` - The iD to set.
Returns:
  This builder for chaining.

#### clearID

    public LeaseTimeToLiveResponse.Builder clearID()

     ID is the lease ID from the keep alive request.

`int64 ID = 2;`

Returns:
  This builder for chaining.

#### getTTL

    public long getTTL()

     TTL is the remaining TTL in seconds for the lease; the lease will expire in under TTL+1 seconds.

`int64 TTL = 3;`

Specified by:
  `getTTL` in interface `LeaseTimeToLiveResponseOrBuilder`
Returns:
  The tTL.

#### setTTL

    public LeaseTimeToLiveResponse.Builder setTTL(long value)

     TTL is the remaining TTL in seconds for the lease; the lease will expire in under TTL+1 seconds.

`int64 TTL = 3;`

Parameters:
  `value` - The tTL to set.
Returns:
  This builder for chaining.

#### clearTTL

    public LeaseTimeToLiveResponse.Builder clearTTL()

     TTL is the remaining TTL in seconds for the lease; the lease will expire in under TTL+1 seconds.

`int64 TTL = 3;`

Returns:
  This builder for chaining.

#### getGrantedTTL

    public long getGrantedTTL()

     GrantedTTL is the initial granted time in seconds upon lease creation/renewal.

`int64 grantedTTL = 4;`

Specified by:
  `getGrantedTTL` in interface `LeaseTimeToLiveResponseOrBuilder`
Returns:
  The grantedTTL.

#### setGrantedTTL

    public LeaseTimeToLiveResponse.Builder setGrantedTTL(long value)

     GrantedTTL is the initial granted time in seconds upon lease creation/renewal.

`int64 grantedTTL = 4;`

Parameters:
  `value` - The grantedTTL to set.
Returns:
  This builder for chaining.

#### clearGrantedTTL

    public LeaseTimeToLiveResponse.Builder clearGrantedTTL()

     GrantedTTL is the initial granted time in seconds upon lease creation/renewal.

`int64 grantedTTL = 4;`

Returns:
  This builder for chaining.

#### getKeysList

    public List<com.google.protobuf.ByteString> getKeysList()

     Keys is the list of keys attached to this lease.

`repeated bytes keys = 5;`

Specified by:
  `getKeysList` in interface `LeaseTimeToLiveResponseOrBuilder`
Returns:
  A list containing the keys.

#### getKeysCount

    public int getKeysCount()

     Keys is the list of keys attached to this lease.

`repeated bytes keys = 5;`

Specified by:
  `getKeysCount` in interface `LeaseTimeToLiveResponseOrBuilder`
Returns:
  The count of keys.

#### getKeys

    public com.google.protobuf.ByteString getKeys(int index)

     Keys is the list of keys attached to this lease.

`repeated bytes keys = 5;`

Specified by:
  `getKeys` in interface `LeaseTimeToLiveResponseOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The keys at the given index.

#### setKeys

    public LeaseTimeToLiveResponse.Builder setKeys(int index,
                                                   com.google.protobuf.ByteString value)

     Keys is the list of keys attached to this lease.

`repeated bytes keys = 5;`

Parameters:
  `index` - The index to set the value at.
  `value` - The keys to set.
Returns:
  This builder for chaining.

#### addKeys

    public LeaseTimeToLiveResponse.Builder addKeys(com.google.protobuf.ByteString value)

     Keys is the list of keys attached to this lease.

`repeated bytes keys = 5;`

Parameters:
  `value` - The keys to add.
Returns:
  This builder for chaining.

#### addAllKeys

    public LeaseTimeToLiveResponse.Builder addAllKeys(Iterable<? extends com.google.protobuf.ByteString> values)

     Keys is the list of keys attached to this lease.

`repeated bytes keys = 5;`

Parameters:
  `values` - The keys to add.
Returns:
  This builder for chaining.

#### clearKeys

    public LeaseTimeToLiveResponse.Builder clearKeys()

     Keys is the list of keys attached to this lease.

`repeated bytes keys = 5;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final LeaseTimeToLiveResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`

#### mergeUnknownFields

    public final LeaseTimeToLiveResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<LeaseTimeToLiveResponse.Builder>`